/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-core/mbeanapi/src/java/com/sun/appserv/management/util/misc/CompareUtil.java,v 1.3 2005/12/25 03:51:43 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:51:43 $
 */

package com.sun.appserv.management.util.misc;

import com.sun.appserv.management.util.misc.ClassUtil;

/**
	Provides a variety of useful utilities for comparing objects.
 */
 
public final class CompareUtil
{
		private
	CompareUtil( )
	{
		// disallow instantiation
	}
	
	
		public static boolean
	objectsEqual( Object o1, Object o2 )
	{
		boolean	equal	= o1 == o2;
		
		if ( ! equal )
		{
			if ( o1 == null )
			{
				// o1 is null, but o2 is not
				equal	= false;
			}
			else
			{
				equal	= o1.equals( o2 );
				if ( ! equal )
				{
					if ( ClassUtil.objectIsArray( o1 ) )
					{
						equal	= ArrayUtil.arraysEqual( o1, o2 );
					}
				}
			}
		}
		
		return( equal );
	}
}

